backend:
  name: gitea
  repo: 2TAP2B/2tap2.be
  app_id: 424f35b7-a9f4-4597-bfef-38631351dd2f
  api_root: https://git.steltner.cloud/api/v1
  base_url: https://git.steltner.cloud
  auth_endpoint: https://git.steltner.cloud/login/oauth/authorize
  branch: main

media_folder: public/images/posts
public_folder: /images/posts

collections:
  - name: blogs
    label: Blog Posts
    label_singular: Blog Post
    folder: src/blog
    create: true
    slug: "{{slug}}"
    path: "{{slug}}/index"
    format: yaml-frontmatter
    fields:
      - { label: "Slug", name: "slug", widget: "string" }
      - { label: "Titel", name: "title", widget: "string" }
      - { label: "Beschreibung", name: "description", widget: "text" }
      - { label: "Datum", name: "date", widget: "datetime" }
      - { label: "Autor", name: "author", widget: "string", default: "Tobias" }
      - { 
          label: "Tags", 
          name: "tags", 
          widget: "list",
          hint: "Drücke Enter nach jedem Tag"
        }
      - { label: "Featured", name: "featured", widget: "boolean", default: false }
      - { label: "Draft", name: "draft", widget: "boolean", default: false, required: false }
      - { 
          label: "Hero Image", 
          name: "image", 
          widget: "string", 
          required: false,
          hint: "z.B. /images/posts/mein-post.png"
        }
      - { label: "Inhalt", name: "body", widget: "markdown" }

  - name: projects
    label: Projects
    label_singular: Project
    folder: src/projects
    create: true
    slug: "{{slug}}"
    path: "{{slug}}"
    format: yaml-frontmatter
    media_folder: "/public/images/projects"
    public_folder: "/images/projects"
    fields:
      - { label: "Slug", name: "slug", widget: "string" }
      - { label: "Name", name: "name", widget: "string" }
      - { label: "Beschreibung", name: "description", widget: "text" }
      - { label: "URL", name: "url", widget: "string" }
      - {
          label: "Tags",
          name: "tags",
          widget: "list",
          hint: "Drücke Enter nach jedem Tag"
        }
      - {
          label: "Screenshot",
          name: "screenshot",
          widget: "string",
          required: false,
          hint: "Optional: Screenshot des Projekts (z.B. /images/projects/screenshot.png)"
        }
